
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef CLT_OPTS
#define CLT_OPTS

#include "base/opts.h"

// client options
class CltOpts: public OptGrp {
	public:
		CltOpts(); // defaults

		virtual bool validate() const;

	public:
		NetAddrOpt thePxyAddr;
		TwoIntOpt thePorts;

		TimeOpt theIcpTout;

		IntOpt theNidsPrefDepth;

		BoolOpt ignoreFalseHits;
		BoolOpt ignoreBadContTags;
		BoolOpt printFalseMisses;
};

extern CltOpts TheCltOpts;

#endif
