
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PGL_KNOWN_NAMES_ARRAY_SYMBOL_H
#define PGL_KNOWN_NAMES_ARRAY_SYMBOL_H

#include "PglArraySym.h"

// array of symbol names (i.e. array of references)
class KnownNamesSym: public ArraySym {
	public:
		KnownNamesSym(const String &anItemType);

		virtual bool isA(const String &type) const;

	protected:
		virtual ArraySym *cloneType(const String &type) const;
};

#endif
