
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PG_SERVER_SYMBOL_H
#define PG_SERVER_SYMBOL_H

#include "AgentSym.h"

class ContentSym;
class RndDistr;

// server side configuration
class ServerSym: public AgentSym {
	public:
		ServerSym();
		ServerSym(const String aType, PglRec *aRec);

		virtual bool isA(const String &type) const;
		virtual SynSym *clone(const String &type) const;

		bool acceptLmt(int &lmt) const;
		bool contents(Array<ContentSym*> &ccfgs, Array<double> &cprobs) const;
		bool directAccess(Array<ContentSym*> &dacfgs) const;
};

#endif
