
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PG_PROXY_APPLICATION_H
#define PG_PROXY_APPLICATION_H

#include "app/PolyApp.h"

class IcpBase;

class PolyPxy: public PolyApp {
	public:
		PolyPxy();

	protected:
		virtual void configure();
		virtual void reportCfg();
		virtual void step();
		
		virtual void startAgents();
		virtual void getOpts(Array<OptGrp*> &opts);
		virtual void makeAgent(const AgentCfg &cfg);
		virtual void logState(OLog &log);

		void addIcpAgent(IcpBase *icpAgent);

	protected:
		Array<IcpBase*> theIcpAgents;
};

#endif
